function Hd2 = Filtro05
%FILTRO05 Returns a discrete-time filter object.

% MATLAB Code
% Generated by MATLAB(R) 9.9 and Signal Processing Toolbox 8.5.
% Generated on: 09-Oct-2021 15:51:42

% Elliptic Highpass filter designed using FDESIGN.HIGHPASS.

% All frequency values are in Hz.
Fs = 1000;  % Sampling Frequency

N     = 20;   % Order
Fpass = 0.5;  % Passband Frequency
Apass = 1;    % Passband Ripple (dB)
Astop = 80;   % Stopband Attenuation (dB)

% Construct an FDESIGN object and call its ELLIP method.
h2  = fdesign.highpass('N,Fp,Ast,Ap', N, Fpass, Astop, Apass, Fs);
Hd2 = design(h2, 'ellip');

% [EOF]
